package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.MessageTemplateService;
import com.engine.recruit.service.impl.MessageTemplateServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/09/26
 * @version: 1.0
 */
public class MessageTemplateWrapper extends Service {
    private MessageTemplateService getMessageTemplateService(User user) {
        return ServiceUtil.getService(MessageTemplateServiceImpl.class, user);
    }

    public Map<String, Object> getMessageContent(Map<String, Object> params) {
        return getMessageTemplateService(user).getMessageContent(params);
    }
}
